cURL
curl --request GET \
--url https://api.slash.com/checkout-session/{checkoutSessionId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.slash.com/checkout-session/{checkoutSessionId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.slash.com/checkout-session/{checkoutSessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkoutSession": {
"id": "<string>",
"url": "<string>",
"amount": 123,
"currency": "usd",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"customMetadata": {},
"config": {
"prefillEmail": "<string>",
"prefillName": "<string>",
"hideEmail": true,
"disableEmail": true,
"prefillAddress": {
"name": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"paymentMethods": {
"applePay": true,
"googlePay": true
}
}
}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}Checkout Session
Get checkout session
Get a single checkout session by ID. Use this to check whether a session’s payment has settled (status becomes complete) as an alternative or reconciliation fallback to webhooks.
GET
/
checkout-session
/
{checkoutSessionId}
cURL
Slash Payment Processing is in beta and not enabled for all accounts. Contact
support@joinslash.com to get access.
Authorizations
api_keybearer
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Path Parameters
Query Parameters
The legal entity ID. Required if authenticating with access to multiple legal entities.
Response
OK
A checkout session represents a single hosted payment attempt. Embed the session's url in your page (via the Slash checkout SDK or an iframe) to collect a card payment.
Show child attributes
Show child attributes
⌘I